Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.binding
[Java] Class EventTriggerBinding

    java.lang.Object
      org.codehaus.groovy.binding.EventTriggerBinding

All Implemented Interfaces:
  TriggerBinding

    public class EventTriggerBinding

Authors:
  Danno Ferrin

Version:
  \$Revision\$

Since:
  Groovy 1.1

Constructor Summary
`EventTriggerBinding(java.lang.Object triggerBean, java.lang.String eventName)`

Method Summary
`FullBinding` | `createBinding(SourceBinding sourceBinding, TargetBinding targetBinding)`
`java.lang.String` | `getEventName()`
`java.lang.Object` | `getTriggerBean()`
`void` | `setEventName(java.lang.String eventName)`
`void` | `setTriggerBean(java.lang.Object triggerBean)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### EventTriggerBinding

    public EventTriggerBinding(java.lang.Object triggerBean, java.lang.String eventName)

Method Detail

### createBinding

    public FullBinding createBinding(SourceBinding sourceBinding, TargetBinding targetBinding)

### getEventName

    public java.lang.String getEventName()

### getTriggerBean

    public java.lang.Object getTriggerBean()

### setEventName

    public void setEventName(java.lang.String eventName)

### setTriggerBean

    public void setTriggerBean(java.lang.Object triggerBean)

Groovy Documentation